#pragma once
#include "QToolAbstract.h"
#include "RasterProcessTool.h"


class GF3ImportDataToolButton : public QToolAbstract {
	Q_OBJECT
public:
	GF3ImportDataToolButton( QWidget* parent = nullptr);
	~GF3ImportDataToolButton();
public slots:
	virtual void excute() override;

};

class Complex2AmpPhaseToolButton : public QToolAbstract {
	Q_OBJECT
public:
	Complex2AmpPhaseToolButton( QWidget* parent = nullptr);
	~Complex2AmpPhaseToolButton();
public slots:

	virtual void excute() override;

};

class QRDOrthProcessClassToolButton : public QToolAbstract {
	Q_OBJECT
public:
	QRDOrthProcessClassToolButton( QWidget* parent = nullptr);
	~QRDOrthProcessClassToolButton();
public slots:

	virtual void excute() override;

};

class QOrthSlrRasterToolButton : public QToolAbstract {
	Q_OBJECT
public:
	QOrthSlrRasterToolButton( QWidget* parent = nullptr);
	~QOrthSlrRasterToolButton();
public slots:
	virtual void excute() override;

};

class MergeRasterProcessToolButton : public QToolAbstract {
	Q_OBJECT
public:
	MergeRasterProcessToolButton( QWidget* parent = nullptr);
	~MergeRasterProcessToolButton();
public slots:
	virtual void excute() override;

};

class SARSimlulationRTPCToolButton : public QToolAbstract {
	Q_OBJECT
public:
	SARSimlulationRTPCToolButton( QWidget* parent = nullptr);
	~SARSimlulationRTPCToolButton();
public slots:
	virtual void excute() override;

};

class SARSimulationTBPImageToolButton : public QToolAbstract {
	Q_OBJECT
public:
	SARSimulationTBPImageToolButton( QWidget* parent = nullptr);
	~SARSimulationTBPImageToolButton();
public slots:
	virtual void excute() override;

};


void RegisterPreToolBox(RasterProcessTool* mainWindows);
